WordPress.org

Ready to get started?Download WordPress

Forums

Plugin Related Nastiness: Problems with admin-functions.php on line 932 (5 posts)

  1. lawnun
    Member
    Posted 9 years ago #

    Hey all:

    Here's the technicals:
    1. I'm running WordPress 1.5 (and loving it!)
    2. I'm using the Minima Plus themeset
    3. I have a number of plugins -- most work perfectly well, but the following plugins are causing a specific (and repeated) error, which I will detail below.

    1. Hennas-cool-cats plugin
    2. nofollow Plugin
    3. post_moderation plugin
    4. related-posts plugin
    5. tw-autosave plugin
    6. wp-amazon plugin

    The error is essentially the following (only changing based on the plugin name):

    Warning: file(/home/ipnews/public_html/wp-content/plugins/related-posts.php): failed to open stream: Permission denied in /home/ipnews/public_html/wp-admin/admin-functions.php on line 932

    Warning: implode(): Bad arguments. in /home/ipnews/public_html/wp-admin/admin-functions.php on line 932

    My website: http://www.ipnewsblog.com

    Here's what I've tried:
    1. Changing the permissions (chown to both 755 or 777 on admin-functions.php does squat).
    2. Checking line 932 in admin-functions.php (which to me, is essentially indecipherable, but for the fact that it's a call to the plugin itself.
    3. Deactivating all other plugins to see if there was a conflict somewhere.
    4. Reading through the various other reports (none seem to exist detailing this particular error that I could find).
    5. Trying to search for this error on Google (see above).
    6. Banging on the keyboard in frustration. Cursing.

    All in all, none of these methods seemed to work. If anyone has a suggestion about what to do (I'd like to get these plugins working) it would be much appreciated. Danke.

  2. Kafkaesqui

    Posted 9 years ago #

    The error points to the get_file_description() function in admin-functions.php, which is a themes function. Try changing to the default theme, and if the error goes away, check the permissions on the Minima template files and directory.

  3. lawnun
    Member
    Posted 9 years ago #

    I tried, just for the giggles, to change the theme to WP classic, with permissions for the whole directory being 777. No love, same errors.

  4. tdw
    Member
    Posted 9 years ago #

    Have you got the related posts plugin? It looks like that file might be missing... you'll find it here: http://wp-plugins.net/index.php?filter=related+post

  5. lawnun
    Member
    Posted 9 years ago #

    So, lovely.

    tdw's suggestion had me thinking. So I updated the file and still an error. Oddly enough, the idea of permissions struck me. Some php files seem to be kosher with 6xx (which seem to be the standard permission sets). _HOWEVER_ when I randomly went ahead and changed the permission (to cheat, I just changed it to 777, but I'm sure 755 will be sufficent) on related_posts.php and, lo and behold, no more errors! Sure enough, doing the same to the other problem files, makes everything work. So the answer to my question all comes down to permission errors. Yay!

    WordPress still rocks, thanks for the help.

Topic Closed

This topic has been closed to new replies.

About this Topic